Bug 1009875 - ISE during migration, when monitoring probe assigned to system
ISE during migration, when monitoring probe assigned to system
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Server (Show other bugs)
560
Unspecified Unspecified
high Severity high
: ---
: ---
Assigned To: Jan Dobes
Pavel Studeník
: Regression
Depends On:
Blocks: sat570-lowbug
  Show dependency treegraph
 
Reported: 2013-09-19 07:47 EDT by Pavel Studeník
Modified: 2015-01-13 04:54 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-01-13 04:54:52 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pavel Studeník 2013-09-19 07:47:57 EDT
Description of problem:
I enabled monitoring for system and created monitoring probe. 
I tried migrate this system to other organization and I got Internal Server Error. 

Version-Release number of selected component (if applicable):
spacewalk-java-2.0.2-39.el6sat.noarch

How reproducible:
always

Steps to Reproduce:
1. enable monitoring
2. set monitoring entitlement
3. create new organization
4. create monitoring probe for this system
5. migrate this system to new organization

Actual results:
ISE, system wasn't migrated

Expected results:
without ISE and migration works
Additional info:
# tail /var/log/tomcat6/catalina.out
2013-09-19 07:33:57,250 [TP-Processor8] ERROR com.redhat.rhn.frontend.servlets.SessionFilter - Error during transaction. Rolling back
javax.servlet.ServletException: org.hibernate.UnresolvableObjectException: No row with the given identifier exists: [com.redhat.rhn.domain.server.MonitoredServer#1000010006]
        at org.apache.struts.action.RequestProcessor.processException(RequestProcessor.java:520)
        at org.apache.struts.action.RequestProcessor.processActionPerform(RequestProcessor.java:427)
        at org.apache.struts.action.RequestProcessor.process(RequestProcessor.java:228)
        at com.redhat.rhn.frontend.struts.RhnRequestProcessor.process(RhnRequestProcessor.java:102)
< ... >
        at org.apache.jk.common.ChannelSocket.invoke(ChannelSocket.java:769)
        at org.apache.jk.common.ChannelSocket.processConnection(ChannelSocket.java:698)
        at org.apache.jk.common.ChannelSocket$SocketConnection.runIt(ChannelSocket.java:891)
        at org.apache.tomcat.util.threads.ThreadPool$ControlRunnable.run(ThreadPool.java:690)
        at java.lang.Thread.run(Thread.java:738)
Caused by:
org.hibernate.UnresolvableObjectException: No row with the given identifier exists: [com.redhat.rhn.domain.server.MonitoredServer#1000010006]
        at org.hibernate.UnresolvableObjectException.throwIfNull(UnresolvableObjectException.java:65)
        at org.hibernate.event.def.DefaultRefreshEventListener.onRefresh(DefaultRefreshEventListener.java:148)
        at org.hibernate.event.def.DefaultRefreshEventListener.onRefresh(DefaultRefreshEventListener.java:62)
        at org.hibernate.impl.SessionImpl.fireRefresh(SessionImpl.java:932)
        at org.hibernate.impl.SessionImpl.refresh(SessionImpl.java:916)
        at com.redhat.rhn.manager.system.SystemManager.unsubscribeServerFromChannel(SystemManager.java:1459)
        at com.redhat.rhn.manager.system.SystemManager.unsubscribeServerFromChannel(SystemManager.java:1418)
        at com.redhat.rhn.manager.org.MigrationManager.removeOrgRelationships(MigrationManager.java:181)
        at com.redhat.rhn.manager.org.MigrationManager.migrateServers(MigrationManager.java:77)
        at com.redhat.rhn.frontend.action.systems.sdc.SystemMigrateAction.processSubmission(SystemMigrateAction.java:168)
        at com.redhat.rhn.frontend.action.systems.sdc.SystemMigrateAction.execute(SystemMigrateAction.java:125)
        at org.apache.struts.action.RequestProcessor.processActionPerform(RequestProcessor.java:425)
        ... 40 more
Comment 3 Jan Dobes 2013-10-01 06:34:27 EDT
This is regression caused by bz976136.

com.redhat.rhn.manager.system.SystemManager.unsubscribeServerFromChannel(SystemManager.java:1418)
        at com.redhat.rhn.manager.org.MigrationManager.removeOrgRelationships(MigrationManager.java:181)

This call wasn't there before.
Comment 4 Jan Dobes 2013-11-21 10:33:16 EST
fixed in spacewalk master:

085e6b0eb88ea827f59f2dee44cbf433f93a09e4
Comment 5 Pavel Studeník 2014-11-05 10:17:09 EST
Verified with spacewalk-java-2.3.8-52.el6sat.noarch
Comment 6 Clifford Perry 2015-01-13 04:54:52 EST
With the release of Red Hat Satellite 5.7 on January 12th 2015 this bug is
being moved to a Closed Current Release state. 

The Satellite 5.7 GA Errata:
 - https://rhn.redhat.com/errata/RHSA-2015-0033.html 

Satellite 5.7 Release Notes:
 -
https://access.redhat.com/documentation/en-US/Red_Hat_Satellite/5.7/html-single/Release_Notes/index.html

Satellite Customer Portal Blog announcement for release:
 - https://access.redhat.com/blogs/1169563/posts/1315743 

Cliff

Note You need to log in before you can comment on or make changes to this bug.